com.sun.jna.ptr

## Class ByteByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.ptr.ByteByReference

All Implemented Interfaces:
  NativeMapped

    public class ByteByReference
    extends ByReference

### Constructor Summary

Constructors
Constructor and Description
`ByteByReference()`
`ByteByReference(byte value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte` `getValue()`
`void` `setValue(byte value)`
`java.lang.String` `toString()`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ByteByReference

    public ByteByReference()

#### ByteByReference

    public ByteByReference(byte value)

### Method Detail

#### setValue

    public void setValue(byte value)

#### getValue

    public byte getValue()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `ByReference`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.